<?php
// +-----------------------------------------------------------------------+
// | Memories for Piwigo by TEMMII                                         |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2008-2020 ddtddt               http://temmii.com/piwigo/ |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

class memories_maintain extends PluginMaintain{

  private $default_conf = array(
    'pfoya_position' => 5,
    'pfoya_dateb' => 'date_available',
    'pfoya_datemax' => 5,
    'pfoya_nip' => 6,
	'pfoya_menu' => 'link',
	'pfoya_show' => 1,
	'pfoya_showps' => 1,
    );



  function install($plugin_version, &$errors=array()){
	global $conf, $pwg_loaded_plugins;
	if (empty($conf['pfoya'])){
      conf_update_param('pfoya', $this->default_conf, true);
    }else{
      $old_conf = safe_unserialize($conf['pfoya']);
      foreach (array_keys($this->default_conf) as $conf_key){
        if (!isset($old_conf[$conf_key])){
          $old_conf[$conf_key] = $this->default_conf[$conf_key];
        }
      }
      conf_update_param('pfoya', $old_conf, true);
    }
	
	if(isset($pwg_loaded_plugins['photos_from_one_year_ago'])){
		$query = 'UPDATE ' . PLUGINS_TABLE . ' SET state="inactive" WHERE id="memories";';
		pwg_query($query);
		$_SESSION['page_errors'] = array(l10n('you must delete Photo from 1 year ago before activate Memories'));
    }
	
  }


  function update($old_version, $new_version, &$errors=array()){
	$this->install($new_version, $errors);
  }
  function uninstall(){
	conf_delete_param('pfoya');
  }
}
